gd_error_count(3)

NAME
gd_error_count — report the number of errors encountered by the GetData library

SYNOPSIS
#inlcude <getdata.h>

int gd_error_count(DIRFILE *dirfile);

DESCRIPTION
The first time is called with the DIRFILE object it returns the number of errors encountered by the GetData library while operating on since its creation. Calling this function resets the internal count, so that subsequent calls to return the number of errors encountered only since the previous call to this function, for the specified DIRFILE.

The errors themselves are not cached by the library. The error status of the last library call on (which might be GD_E_OK, indicating no error) can be obtained by calling

RETURN VALUE
The function always returns the number of GetData errors encountered since the last time it was called, or since the dirfile was created. This will be zero, if no error has occurred over the given time.

HISTORY
The function appeared in GetData-0.8.0.

SEE ALSO